Bug 226895 - net/gtk-vnc: update to 0.7.2
Summary: net/gtk-vnc: update to 0.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-24 15:57 UTC by Roman Bogorodskiy
Modified: 2018-10-06 22:07 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
proposed patch (2.50 KB, patch)
2018-03-24 15:57 UTC, Roman Bogorodskiy
no flags Details | Diff
updated patch, v2 (5.09 KB, patch)
2018-03-25 06:53 UTC, Roman Bogorodskiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Bogorodskiy freebsd_committer 2018-03-24 15:57:39 UTC
Created attachment 191788 [details]
proposed patch

- update to 0.7.2,
 - remove '--without-plugin' from CONFIGURE_ARGS, browser plugin was removed long ago and this option does not exist,
 - add options to choose between GTK2 and GTK3 UI,
 - remove PULSEAUDIO_DESC, there's a default description for that,
 - sort USES/USE_* to pet portlint.
Comment 1 Ting-Wei Lan 2018-03-24 17:51:49 UTC
(In reply to Roman Bogorodskiy from comment #0)
I am not sure if it is a good idea to make GTK2 and GTK3 an option. What will happen if a user selects the GTK2 option and installs a GTK3 application which needs gtk-vnc?
Comment 2 Roman Bogorodskiy freebsd_committer 2018-03-25 06:53:07 UTC
Created attachment 191796 [details]
updated patch, v2
Comment 3 Roman Bogorodskiy freebsd_committer 2018-03-25 06:55:14 UTC
(In reply to Ting-Wei Lan from comment #1)

Good point, I've uploaded a patch that adds -gtk2 flavor instead of an option.
Comment 4 Ting-Wei Lan 2018-03-25 15:18:33 UTC
(In reply to Roman Bogorodskiy from comment #3)
It looks like the GTK3 flavor is called 'default'. Can it be called 'gtk3' instead? GTK4 has been under development since 2016 and it is possible for us to see stable releases of GTK4 in this year.
Comment 5 Baptiste Daroussin freebsd_committer 2018-04-13 16:13:58 UTC
first I do agree with the gtk3 name of the "default flavor" second, I will let gnome@ decide weather it is worth maintaining of gtk2 flavor or not, they are the guy who will in the end have to test it in both configuration for every upgrades.

By gnome@ I mean Koop :)
Comment 6 Roman Bogorodskiy freebsd_committer 2018-04-15 04:06:02 UTC
(In reply to Baptiste Daroussin from comment #5)

Thanks for getting back to it.

> I will let gnome@ decide weather it is worth maintaining of gtk2 flavor or not, they are the guy who will in the end have to test it in both configuration for every upgrades.

ok, let's wait for response.
Comment 7 Walter Schwarzenfeld freebsd_triage 2018-10-06 22:07:25 UTC
Updated with r465577. Close, fixed.